> For the complete documentation index, see [llms.txt](https://developer.magtek.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.magtek.com/hardware/card-readers/mms-dyna-devices/dynaflex-ii-go/documentation/user-manuals/oid-converter-console-manual/how-to-use-the-oid-converter-console-demo.md).

# How to use the OID Converter Console Demo

## Introduction

This document provides instructions to use the OID Converter Console. It is part of a larger library of documents designed to assist Secure Card Readers implementers, which includes the following documents available from MagTek:

* **D998200380 MAGTEK UNIVERSAL SDK PROGRAMMER'S MANUAL (MICROSOFT.NET)**
* **D998200383 DynaFlex Family Programmer’s Manual (COMMANDS)**

## How to use the OID Converter Console Demo

The following instructions are for using the DynaFlex, DynaProx OID Converter Console on a Windows operating system.

The console app accepts 2 input parameters: OID & Command Data. The result is the data to pass to MTUSDK commands getConfigInfo() and setConfigInfo().

## Get Configuration

When getting a configuration, only input the OID.

* Launch a command terminal where the oidconverter.exe is located.
* Type oidconverter and an OID in decimal format as shown below, then ENTER. The OID may also be typed in hexadecimal as commented out below.

```
c:\temp\oidconverter 2.1.2.2.2.1

//When using hexadecimal OID
//c:\temp\oidconverter 020102020201
```

* The console app displays the Input OID and Converted OID as shown below.

```
C:\temp>oidconverter 2.1.2.2.2.1
Input OID: 2.1.2.2.2.1
Converted OID string: E108E206E204E202C100
```

* Use the Converted OID when getting a property value with the MTUSDK API getConfigInfo().

```
Input OID: 2.1.2.2.2.1
Converted OID string: E108E206E204E202C100
```

* When calling the function getConfigInfo, parameter configType is the first number of the OID. 2.1.2.2.2.1

```
byte[] getConfigInfo(
                byte configType, 
                byte[] data);
byte configType = 0x02;
byte[] data = {0xE1,0x08,0xE2,0x06,0xE2,0x04,0xE2,0x02,0xC1,0x00};
byte[] response = devConfig.getConfigInfo(configType, data);
```

## Set Configuration

When setting a configuration, input the OID and the Command Data.

* Launch a command terminal where the oidconverter.exe is located.
* Type oidconverter, an OID, in decimal format, and a Value in hexadecimal as shown below, then ENTER.&#x20;

The OID may also be typed in hexadecimal as commented out below.

```
C:\temp>oidconverter 1.2.3.1.1.1 03000000

//When typed in hexadecimal.
//C:\temp>oidconverter 010203010101 03000000
```

* The console app displays the Input OID and Converted OID as shown below.

```
C:\temp>oidconverter 1.2.3.1.1.1 03000000
Input OID: 1.2.3.1.1.1
Input Command Data: 03000000
Converted OID string: E20CE30AE108E106C10403000000
```

* Use the Converted OID when setting a property value with the MTUSDK API setConfigInfo().

```
Input OID: 1.2.3.1.1.1
Input Command Data: 03000000
Converted OID string: E20CE30AE108E106C10403000000

```

* When calling the function getConfigInfo, parameter configType is the first number of the OID. 1.2.3.1.1.1

<pre><code>byte[] setConfigInfo(
<strong>        byte configType, 
</strong><strong>        byte[] data,
</strong>        IConfigurationCallback callback);
</code></pre>

```
byte configType = 0x01;
byte[] data = {0xE2,0x0C,0xE3,0x0A,0Xe1,0x08,0xE1, 
                0x06,0xC1,0x04,0x03,0x00,0x00,0x00};
int response = devConfig.setConfigInfo(configType, data, this);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.magtek.com/hardware/card-readers/mms-dyna-devices/dynaflex-ii-go/documentation/user-manuals/oid-converter-console-manual/how-to-use-the-oid-converter-console-demo.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
